%{!?scl:%global scl candlepin-scl}
%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 5%{?dist}
BuildArch: noarch
License: GPLv2+
Requires: %{scl_prefix}rhino >= 1.7R3
Requires: %{scl_prefix}quartz >= 2.1.5
BuildRequires: scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration

%description build
Package shipping essential configuration macros to build %scl Software Collection.

# TODO: workaround for bug #912746
%prep
%setup -c %{name}-%{version}-%{release} -T

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_scl_scripts}/root
cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}:\$PATH
EOF
%scl_install

%files

%files runtime
%scl_files
# TODO: does not seem to pick up this dir, possible scl bug:
#%_scl_root/lib64

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Mon Mar 18 2013 Chris Duryee <cduryee@redhat.com> 1-5
- add quartz dep
* Tue Mar 12 2013 Devan Goodwin <dgoodwin@redhat.com> 1-4
- Initial packaging.
